SimulatedAnnealing Class Reference

`#include <methods.h>`

Inheritance diagram for SimulatedAnnealing:
Collaboration diagram for SimulatedAnnealing:

## Public Member Functions

| SimulatedAnnealing ()
| SimulatedAnnealing (Model *)
| SimulatedAnnealing (Model *, double, double, double, double, int, int)
| ~SimulatedAnnealing ()
void | initialise ()
void | execute ()
void | finalise () const
Public Member Functions inherited from OptimizationMethod
| OptimizationMethod ()
| OptimizationMethod (Model *A)
virtual | ~OptimizationMethod ()

## Additional Inherited Members

Protected Attributes inherited from OptimizationMethod
Model * | ToAdjust

## Constructor & Destructor Documentation

## SimulatedAnnealing() [1/3]

SimulatedAnnealing::SimulatedAnnealing | ( |  | ) |

## SimulatedAnnealing() [2/3]

SimulatedAnnealing::SimulatedAnnealing | ( | Model * | A | ) |

## SimulatedAnnealing() [3/3]

SimulatedAnnealing::SimulatedAnnealing | ( | Model * | A,
|  | double | a,
|  | double | t,
|  | double | t_e,
|  | double | c,
|  | int | l,
|  | int | m
| ) |  |

## ~SimulatedAnnealing()

SimulatedAnnealing::~SimulatedAnnealing | ( |  | ) |

inline

## Member Function Documentation

## execute()

void SimulatedAnnealing::execute | ( |  | ) |

virtual

Reimplemented from OptimizationMethod.

## finalise()

void SimulatedAnnealing::finalise | ( |  | ) | const

virtual

Implements OptimizationMethod.

## initialise()

void SimulatedAnnealing::initialise | ( |  | ) |

virtual

Reimplemented from OptimizationMethod.

The documentation for this class was generated from the following files:

- methods.h
- methods.cpp